Bug 685160 - ERROR with rpm_check_debug vs depsolve
ERROR with rpm_check_debug vs depsolve
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
: 751885 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 09:25 EDT by Scott
Modified: 2014-01-21 01:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additional information from another x86_64 server (4.07 KB, text/plain)
2011-03-15 09:39 EDT, Scott
no flags Details

  None (edit)
Description Scott 2011-03-15 09:25:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: Currently on all x86_64 systems (13)


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results: 
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-105.el5_5.5.x86_64
xen-libs is needed by (installed) xen-3.0.3-105.el5_5.5.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results: errata updates complete


Additional info:
Comment 1 Scott 2011-03-15 09:39:20 EDT
Created attachment 484489 [details]
Additional information from another x86_64 server

This server is a Citrix XenCenter VM as with many others.
Comment 2 James Antill 2011-03-15 10:00:23 EDT
Run: rpm -Va --nofiles --nodigest


...you'll probably find that it's a preexisting problem in the rpmdb, which is why yum can't see it.
Comment 3 Scott 2012-03-13 12:58:30 EDT
Manged to find a temporary workaround by downloading the xen-libs 32/64 bit rpm files and manually installing them with:

rpm -Uvh xen-libs-3.0.3-135.el5.i386.rpm --nodeps
rpm -Uvh xen-libs-3.0.3-135.el5.x86_64.rpm --nodeps

This worked until the last round of updates and now I have the error back and I can't find a way around it.  Now I'm WAY behind in the errata updates.
Comment 4 Jan Zeleny 2013-03-04 08:01:16 EST
*** Bug 751885 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.